Subject: 25.0.50; with icomplete, completion says "Matched" and then returns something else.

From: Nicolas Richard <[email-masked]>
Date: Wed, 01 Jul 2015 23:46:11 +0200

Given the following file

I run
emacs -Q -l ~/tmp/testcompletion.el

then hit the following keys: C-h f m i n i b u f TAB RET 

After "TAB" I get :
minibufferp [Matched]
in the minibuffer.

After "RET" I get a description of `minibuffer-depth' which is totally
unexpected to me. I expected a description of the function `minibufferp'.

In GNU Emacs 25.0.50.2 (i686-pc-linux-gnu, X toolkit, Xaw scroll bars)
 of 2015-06-11 on Aurora
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:	Ubuntu 14.04.2 LTS

Configured using:
 `configure --with-x-toolkit=lucid --enable-checkings 'CFLAGS= -O0 -g3''

Configured features:
XPM JPEG TIFF GIF PNG SOUND GSETTINGS NOTIFY GNUTLS LIBXML2 FREETYPE
LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS LUCID

Important settings:
  value of $LANG: fr_BE.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix